4 Replies Latest reply on Oct 27, 2010 6:36 AM by lema

    Upgrading to 4.5 the installation wants me to delete my previous database

      Actually I had a problem with not seeing my policies for VSE 8.5 so I thought I might patch my ePO 4.0 to the latest patch 7. Anyway I got an error and my apache directory suddenly was missing and I couldn't start ePO Server anymore so I decided to get rid of 4.0 and uninstalled it. Now the installation procedure for 4.5 asks me if I want to delete my database, what I don't want as I've still entries in this database about clients/reports and of course my policy configuration. I can't pass through the installation if I'm not saying yes to delete my database. I know I should have upgraded the normal way but well, hindsight is easier than foresight :-/
      Is it possible to backup the date of a 4.0 db to import that afterwards into a 4.5 db to restore the data?

       

      OS: Windows 2003 SE SP2

      SQL: MSSQL 2005

       

      Every help would be appreciated.

       

      Thanks Carlos

        • 1. Re: Upgrading to 4.5 the installation wants me to delete my previous database
          JoeBidgood

          lema wrote:

           

          Actually I had a problem with not seeing my policies for VSE 8.5 so I thought I might patch my ePO 4.0 to the latest patch 7. Anyway I got an error and my apache directory suddenly was missing and I couldn't start ePO Server anymore so I decided to get rid of 4.0 and uninstalled it. Now the installation procedure for 4.5 asks me if I want to delete my database, what I don't want as I've still entries in this database about clients/reports and of course my policy configuration. I can't pass through the installation if I'm not saying yes to delete my database. I know I should have upgraded the normal way but well, hindsight is easier than foresight :-/
          Is it possible to backup the date of a 4.0 db to import that afterwards into a 4.5 db to restore the data?

           

          OS: Windows 2003 SE SP2

          SQL: MSSQL 2005

           

          Every help would be appreciated.

           

          Thanks Carlos

           

           

          Hi...

           

          Unfortunately it's not possible to attach a 4.0 db to a 4.5 server... did you back up anything from the ePO 4 installation? In particular the agent/server keys? If not I'm afraid you may have your work cut out

          Ideally you need to restore ePO 4 back to a working state, then upgrade it to 4.5. The main article for ePO 4 disaster recovery is KB 51438 - I would recommend reading through this before trying it.

           

          HTH -

           

          Joe

          1 of 1 people found this helpful
          • 2. Re: Upgrading to 4.5 the installation wants me to delete my previous database

            Hey Joe,

             

            Thanks a lot for getting back at me that fast!

            Unfortunately I have no backup at all from the machine. I got around 50 Clients and I know most of them, so it's not that bad to rebuild everything from scratch. But I've got one little last question, when I send out my agent configurations from the client to the ePO will they automatically be back on my ePO 4.5 or do I need to re-install McAfee Agent from the new ePO 4.5?

             

            Thanks Carlos

            • 3. Re: Upgrading to 4.5 the installation wants me to delete my previous database
              JoeBidgood

              Unfortunately, without the keys from the previous install, the existing clients are not going to be able to talk to the new server. I'm afraid you're going to have to install the agent from the new server over the top of the existing agents - that way they will be able to communicate.

               

              HTH -

               

              Joe